PUT /sip_headers/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/sip_headers/:id

Update Sip Header by id.

Updates an existing SIP header's key, value, or associated buyer_id by id. Requires update permission on SIP headers.

Params

Param name Description
id
Optional Blank value allowed

Id

  • Must be a 128-bit UUID reference to an object on Trackdrive, such as 924c37d5-e70f-42ad-84c2-e85eb0c1bc21

buyer_id
Optional Blank value allowed

Buyer

key
Optional Blank value allowed

Key

  • Must be a String

value
Optional Blank value allowed

Value

  • Must be a String

token_value_ids
Optional Blank value allowed

Assign the internal ids for filtering.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"